## ros-iron-py-trees-ros 2.2.2

=== docs/requirements.txt ===
##############################################################################
#
# Requirements for sphinx documentation environment. 
# ROS dependencies are mocked.
#
# This file is discovered by the root level
# .readthedocs.yaml (rtd build) and docenv.bash (local build)
##############################################################################

Sphinx==5.3.0
sphinx-argparse==0.4.0
sphinx_rtd_theme==1.1.1
py_trees>=2.2
# Broken - see notes in conf.py
# sphinx-autodoc-typehints==1.22

=== debian/changelog ===
ros-iron-py-trees-ros (2.2.2-3jammy) jammy; urgency=high

  * [pkg] tf2_ros -> tf2_ros_py, #204 <https://github.com/splintered-reality/py_trees_ros/pull/204>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Feb 2023 16:00:00 -0000

ros-iron-py-trees-ros (2.2.1-3jammy) jammy; urgency=high

  * [behaviours] eliminate more arg name defaults, #201 <https://github.com/splintered-reality/py_trees_ros/pull/201>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-iron-py-trees-ros (2.2.0-3jammy) jammy; urgency=high

  * [actions] pre-merge and push-ci-image actions,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [tests] bugfix explicit args and time float errors in tests,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [watchers] handle explicit args and memory details,  #196 <https://github.com/splintered-reality/py_trees_ros/pull/196>
  * [watchers] bugfix blackboard watcher shutdownon humble, #194 <https://github.com/splintered-reality/py_trees_ros/pull/194>
  * [code] refactor for explicit arguments, #191 <https://github.com/splintered-reality/py_trees_ros/pull/191>
  * [trees] optional node and node name args to setup, #188 <https://github.com/splintered-reality/py_trees_ros/pull/188>
  * [trees] switch deprecating qos policy for shorter versions, #187 <https://github.com/splintered-reality/py_trees_ros/pull/187>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-iron-py-trees-ros (2.1.1-3jammy) jammy; urgency=high

  * [trees] publish with/without memory information (supports new selector/sequence modes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 08 May 2021 16:00:00 -0000

ros-iron-py-trees-ros (2.1.0-3jammy) jammy; urgency=high

  * [infra] update for api changes in py_trees 2.1.0 (Chooser no longer supported)
  * [infra] update for api changes in ros2 foxy (not breaking changes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 01 Aug 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.11-3jammy) jammy; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #156 <https://github.com/splintered-reality/py_trees_ros/pull/156>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.10-3jammy) jammy; urgency=high

  * [mock] server bugfixed to accommodate custom result handlers, #154 <https://github.com/splintered-reality/py_trees_ros/pull/154>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Mar 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.9-3jammy) jammy; urgency=high

  * [behaviours] default to periodic checks with warnings for action client timeouts, #153 <https://github.com/splintered-reality/py_trees_ros/pull/153>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 04 Mar 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.8-3jammy) jammy; urgency=high

  * [behaviours] wait_for_server_timeout_sec in action clients, #152 <https://github.com/splintered-reality/py_trees_ros/pull/152>
  * [trees] avoid irregular snapshot streams by avoiding timing jitter, #151 <https://github.com/splintered-reality/py_trees_ros/pull/151>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.7-3jammy) jammy; urgency=high

  * [programs] graph discovery timeouts 1.0->2.0s, #149 <https://github.com/splintered-reality/py_trees_ros/pull/149>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Feb 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.6-3jammy) jammy; urgency=high

  * [behaviours] action client goals from blackboard behaviour, #148 <https://github.com/splintered-reality/py_trees_ros/pull/148>
  * [behaviours] publish from blackboard behaviour, #146 <https://github.com/splintered-reality/py_trees_ros/pull/146>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Feb 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.5-3jammy) jammy; urgency=high

  * [serialisation] include parallel policy details

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Jan 2020 16:00:00 -0000

ros-iron-py-trees-ros (2.0.4-3jammy) jammy; urgency=high

  * [blackboard] bugfix protection against activity stream not activitated for views, #140 <https://github.com/splintered-reality/py_trees_ros/pull/140>
  * [trees] bugfix toggle for activity client on reconfigure, #139 <https://github.com/splintered-reality/py_trees_ros/pull/139>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 29 Dec 2019 16:00:00 -0000

ros-iron-py-trees-ros (2.0.3-3jammy) jammy; urgency=high

  * [infra] add a marker file to assist with ros2cli discovery #138 <https://github.com/splintered-reality/py_trees_ros/pull/138>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Dec 2019 16:00:00 -0000

ros-iron-py-trees-ros (2.0.2-3jammy) jammy; urgency=high

  * [trees] on-demand snapshot stream services, similar to blackboard streams, #135 <https://github.com/splintered-reality/py_trees_ros/pull/135>, #136 <https://github.com/splintered-reality/py_trees_ros/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Dec 2019 16:00:00 -0000

ros-iron-py-trees-ros (2.0.1-3jammy) jammy; urgency=high

  * [trees] periodically publish snapshots, #131 <https://github.com/splintered-reality/py_trees_ros/pull/131>,
  * [trees] permit setup visitors, provide a default with timings, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] bugfix non-infinite timeout arg getting ignored, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] snapshot now publishing tree changed flag and key access info, #128 <https://github.com/splintered-reality/py_trees_ros/pull/128>
  * [utilities] deprecate myargv for rclpy.utilities.remove_ros_args, #130 <https://github.com/splintered-reality/py_trees_ros/pull/130>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 Dec 2019 16:00:00 -0000

ros-iron-py-trees-ros (2.0.0-3jammy) jammy; urgency=high



=== debian/control ===
Source: ros-iron-py-trees-ros
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-setuptools, ros-iron-geometry-msgs, ros-iron-py-trees, ros-iron-py-trees-ros-interfaces, ros-iron-rcl-interfaces, ros-iron-rclpy, ros-iron-ros2topic, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2-ros-py, ros-iron-unique-identifier-msgs, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-iron-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-py-trees, ros-iron-py-trees-ros-interfaces, ros-iron-rcl-interfaces, ros-iron-rclpy, ros-iron-ros2topic, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2-ros-py, ros-iron-unique-identifier-msgs, ros-iron-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/iron" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-py-trees-ros//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
